View Issue Details

IDProjectCategoryView StatusLast Update
0031523FPCFCLpublic2017-03-15 16:52
ReporterAndrey ZubarevAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionProduct Build 
Target Version3.2.0Fixed in Version3.1.1 
Summary0031523: fcl-passrc: str(var:2:2,var) works, but system.str(var:2:2,var) not works
Descriptionprogram Project1;
procedure test;
begin
  system.str(starttime:0:3,testvar);
end;
begin
end.

Gives Parser error: "Expected "," at token ":" at line 4 column 23"
TagsNo tags attached.
Fixed in Revision35591
FPCOldBugId
FPCTarget
Attached Files

Activities

Michael Van Canneyt

2017-03-15 15:21

administrator   ~0098919

Fixed, thanks for reporting!

Andrey Zubarev

2017-03-15 16:52

reporter   ~0098926

Thanks!

Issue History

Date Modified Username Field Change
2017-03-11 21:49 Andrey Zubarev New Issue
2017-03-12 17:45 Michael Van Canneyt Assigned To => Michael Van Canneyt
2017-03-12 17:45 Michael Van Canneyt Status new => assigned
2017-03-15 15:21 Michael Van Canneyt Fixed in Revision => 35591
2017-03-15 15:21 Michael Van Canneyt Note Added: 0098919
2017-03-15 15:21 Michael Van Canneyt Status assigned => resolved
2017-03-15 15:21 Michael Van Canneyt Fixed in Version => 3.1.1
2017-03-15 15:21 Michael Van Canneyt Resolution open => fixed
2017-03-15 15:21 Michael Van Canneyt Target Version => 3.2.0
2017-03-15 16:52 Andrey Zubarev Note Added: 0098926
2017-03-15 16:52 Andrey Zubarev Status resolved => closed